%global srcname mnemonic
%global sum Implementation of Bitcoin BIP-0039

Name:           python-%{srcname}
Version:        0.17
Release:        1%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://github.com/trezor/python-mnemonic
Source0:        https://files.pythonhosted.org/packages/source/m/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel python3-devel

%description
This BIP describes the implementation of a mnemonic code or mnemonic sentence -
a group of easy to remember words - for the generation of deterministic wallets.

It consists of two parts: generating the mnenomic, and converting it into a
binary seed. This seed can be later used to generate deterministic wallets using
BIP-0032 or similar methods.

See https://github.com/bitcoin/bips/blob/master/bip-0039.mediawiki for full
specification.


%package -n python2-%{srcname}
Summary:        %{sum}
Requires:       python2-pbkdf2
BuildRequires:  python2-pbkdf2
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
This BIP describes the implementation of a mnemonic code or mnemonic sentence -
a group of easy to remember words - for the generation of deterministic wallets.

It consists of two parts: generating the mnenomic, and converting it into a
binary seed. This seed can be later used to generate deterministic wallets using
BIP-0032 or similar methods.

See https://github.com/bitcoin/bips/blob/master/bip-0039.mediawiki for full
specification.


%package -n python3-%{srcname}
Summary:        %{sum}
Requires:       python3-pbkdf2
BuildRequires:  python3-pbkdf2
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This BIP describes the implementation of a mnemonic code or mnemonic sentence -
a group of easy to remember words - for the generation of deterministic wallets.

It consists of two parts: generating the mnenomic, and converting it into a
binary seed. This seed can be later used to generate deterministic wallets using
BIP-0032 or similar methods.

See https://github.com/bitcoin/bips/blob/master/bip-0039.mediawiki for full
specification.


%prep
%autosetup -n %{srcname}-%{version}
rm -rf %{srcname}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{srcname}
%doc PKG-INFO
%doc README.rst
%license LICENSE
%{python2_sitelib}/*

%files -n python3-%{srcname}
%doc PKG-INFO
%doc README.rst
%license LICENSE
%{python3_sitelib}/*

%changelog
* Sun Apr 09 2017 Jonny Heggheim <jonnyheggheim@sigaint.org> - 0.17-1
- new version

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.15-2
- Rebuild for Python 3.6

* Wed Nov 16 2016 Jonny Heggheim <jonnyheggheim@sigaint.org> - 0.15-1
- Initial package
